IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Companies Per Company Country Code GETGet Industries GETGet Jobs And Companies Per Job Country Code GETList Keyword Categories (Deprecated) GETList Keywords (Tech And Buying Intents) GETGet Geographic Locations GETList Technologies GETGet Industries GETList Technology Categories GETList Keyword Categories GETList Keyword Subcategories GETList Technology Subcategories GET
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Catalog

Get Companies Per Company Country Code

Retrieve all ISO country codes with the number of companies headquartered in each country. Use this endpoint for geographic distribution analysis. Calls to this endpoint are free and do not consume any API credits.

GET
/v0/catalog/companies_per_company_country_code

Query Parameters

  • country
    stringnullable

    Name of a country. Will return the country matching their name in English

  • page
    integer
    0 <= valuedefault: 0

    Page number.

  • limit
    integer
    1 <= valuedefault: 25

    Number of results per page

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://api.theirstack.com/v0/catalog/companies_per_company_country_code"
    {
      "data": [
        {
          "iso2": "string",
          "country": "string",
          "num_companies": 0
        }
      ],
      "metadata": {
        "total_results": 2034
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Get Credits Consumption GET

    Retrieve daily credit consumption data for your team showing the number of API records returned per day. Use this endpoint to monitor usage trends, track spending, and optimize your API integration.

    Get Industries GET

    This endpoint lets you list all the industries and their codes, see how many jobs and companies we have per industry and search for an industry.